<?php

include './core.php';

switch( $_REQUEST['mode'] )
{
	case 'impressum':
        $page['content'] = $Smarty->fetch( 'impressum.tpl' );
        break;
    case 'banksys':
        $page['content'] = $Smarty->fetch( 'banksys.tpl' );
        break;
    case 'einstieg':
        $page['content'] = $Smarty->fetch( 'einstieg.tpl' );
        break;
    case 'sitemap':
        $page['content'] = $Smarty->fetch( 'sitemap.tpl' );
        break;
    case 'befehle':
        $page['content'] = $Smarty->fetch( 'befehle.tpl' );
        break;
    case 'profession':
        $page['content'] = $Smarty->fetch( 'profession.tpl' );
        break;
    case 'kampf':
        $page['content'] = $Smarty->fetch( 'kampf.tpl' );
        break;
    case 'fertigkeiten':
        $page['content'] = $Smarty->fetch( 'fertigkeiten.tpl' );
        break;
    case 'itemsuche':
        $page['content'] = $Smarty->fetch( 'itemsuche.tpl' );
        break;
    case 'itemsuche_intern':
        $page['content'] = $Smarty->fetch( 'itemsuche_intern.tpl' );
        break;
    case 'waffengattung':
        $page['content'] = $Smarty->fetch( 'waffengattung.tpl' );
        break;
    case 'charakter':
        $page['content'] = $Smarty->fetch( 'charakter.tpl' );
        break;
    case 'herstellung2':
        $page['content'] = $Smarty->fetch( 'herstellung2.tpl' );
        break;
    case 'vereinigung2':
        $page['content'] = $Smarty->fetch( 'vereinigung2.tpl' );
        break;
    case 'vereinigung':
        $page['content'] = $Smarty->fetch( 'vereinigung.tpl' );
        break;
    case 'startitems':
        $page['content'] = $Smarty->fetch( 'startitems.tpl' );
        break;
    case 'herstellung':
        $page['content'] = $Smarty->fetch( 'herstellung.tpl' );
        break;
    case 'maxprofmensch':
        $page['content'] = $Smarty->fetch( 'maxprofmensch.tpl' );
        break;
    case 'maxprofelb':
        $page['content'] = $Smarty->fetch( 'maxprofelb.tpl' );
        break;
    case 'maxprofzwerg':
        $page['content'] = $Smarty->fetch( 'maxprofzwerg.tpl' );
        break;
    case 'maxprofession':
        $page['content'] = $Smarty->fetch( 'maxprofession.tpl' );
        break;
    case 'installation':
        $page['content'] = $Smarty->fetch( 'installation.tpl' );
        break;
    case 'skillempfehlung':
        $page['content'] = $Smarty->fetch( 'skillempfehlung.tpl' );
        break;
    case 'howto':
        $page['content'] = $Smarty->fetch( 'howto.tpl' );
        break;
    case 'strafleitfaden':
        $page['content'] = $Smarty->fetch( 'strafleitfaden.tpl' );
        break;
    case 'schlichtung':
        $page['content'] = $Smarty->fetch( 'schlichtung.tpl' );
        break;
    case 'ircregeln':
        $page['content'] = $Smarty->fetch( 'ircregeln.tpl' );
        break;
    case 'banner':
        $page['content'] = $Smarty->fetch( 'banner.tpl' );
        break;
    case 'gildenhosting':
        $page['content'] = $Smarty->fetch( 'gildenhosting.tpl' );
        break;
    case 'freiestellen':
        $page['content'] = $Smarty->fetch( 'freiestellen.tpl' );
        break;
    case 'forenregeln':
        $page['content'] = $Smarty->fetch( 'forenregeln.tpl' );
        break;
    case 'regeln2':
        $page['content'] = $Smarty->fetch( 'regeln2.tpl' );
        break;
    case 'freiestellen':
        $page['content'] = $Smarty->fetch( 'freiestellen.tpl' );
        break;
    case 'zeitrechnung':
        $page['content'] = $Smarty->fetch( 'zeitrechnung.tpl' );
        break;
    case 'gemmen':
        $page['content'] = $Smarty->fetch( 'gemmen.tpl' );
        break;
    case 'metalle':
        $page['content'] = $Smarty->fetch( 'metalle.tpl' );
        break;
    case 'dank':
        $page['content'] = $Smarty->fetch( 'dank.tpl' );
        break;
    case 'erstellungsguide':
        $page['content'] = $Smarty->fetch( 'erstellungsguide.tpl' );
        break;
    case 'rpguide':
        $page['content'] = $Smarty->fetch( 'rpguide.tpl' );
        break;        
    case 'fauna':
        $page['content'] = $Smarty->fetch( 'fauna.tpl' );
        break;
    case 'seite':
        $page['content'] = $Smarty->fetch( 'seite.tpl' );
        break;
    case 'zeit':
        $page['content'] = $Smarty->fetch( 'zeit.tpl' );
        break;    
    case 'classes':
        $page['content'] = $Smarty->fetch( 'classes.tpl' );
        break;
    case 'tut':
        $page['content'] = $Smarty->fetch( 'tut.tpl' );
        break;
    case 'valar':
        $page['content'] = $Smarty->fetch( 'valar.tpl' );
        break;
    case 'systeme':
        $page['content'] = $Smarty->fetch( 'systeme.tpl' );
        break;
    case 'locations':
        $page['content'] = $Smarty->fetch( 'in_construction.tpl' );
        break;
    case 'locations2':
        $page['content'] = $Smarty->fetch( 'locations.tpl' );
        break;
    case 'locations3':
        $page['content'] = $Smarty->fetch( 'locations2.tpl' );
        break;
    case 'links':
        $page['content'] = $Smarty->fetch( 'links.tpl' );
        break;
    case 'spenden':
        $page['content'] = $Smarty->fetch( 'spenden.tpl' );
        break;
	  case 'chat':
        $page['content'] = $Smarty->fetch( 'chat.tpl' );
        break;
    case 'ic':
        $page['content'] = $Smarty->fetch( 'in_construction.tpl' );
        break;
    case 'staff_regeln':
		if( isset( $user ) && $user->can_access( 'staff' ) )
			$page['content'] = $Smarty->fetch( 'staff_regeln.tpl' );
		else
			access_error();
		break;
	case 'staff_einteilung':
		if( isset( $user ) && $user->can_access( 'staff' ) )
			$page['content'] = $Smarty->fetch( 'staff_einteilung.tpl' );
		else
			access_error();
		break;
	case 'staff_infos':
		if( isset( $user ) && $user->can_access( 'staff' ) )
			$page['content'] = $Smarty->fetch( 'staff_infos.tpl' );
		else
			access_error();
		break;
		case 'Bree':
        $page['content'] = $Smarty->fetch( 'breeviewer.tpl' );
        break;
}

$Smarty->assign( 'page', $page );
$Smarty->display( 'main.tpl' );

?>
